it-swarm.com.ru

Будет ли Xcode 7.3.1 работать на macOS 10.12?

Я хочу установить и опробовать новые возможности macOS 10.12. Также я очень хочу работать на Xcode 8.0. Но в то же время у меня есть несколько клиентских проектов, которые должны быть написаны на Swift 2.2 [Xcode 7.3.1], я не хочу использовать Swift 2.3 или Swift 3.0.

Так возможно ли установить Xcode 7.3.1 в macOS 10.12? Есть ли какой-нибудь хакерский способ сделать это?


Да, я успешно установил Xcode 7.3.1 и Xcode 8.0 в свой macOS Sierra.

Теперь использую оба X-кода. Но всякий раз, когда я запускаю свой проект, используя Xcode 7.3.1, я получаю эту ошибку DTAssetProviderService could not start DTXConnection with Simulator 'iPhone 6s'. Check the system log for errors., я не знаю фактическую причину этого. Я гуглил ответы, но эти предложения мне не помогли. Но в то же время я могу запускать проекты в Xcode 8.0 в Simulator, без ошибок, ничего.

Если кто-то пришел, чтобы увидеть это, пожалуйста, дайте мне знать ваш комментарий.

23
user6375148

Вы можете абсолютно установить Xcode 7.3.1 на macOS Sierra вместе с бета-версией Xcode 8.

Если у вас есть проблемы с запуском Xcode 7.3.x или симулятором:

  1. Переустановите Xcode 7.3.x с https://developer.Apple.com/downloads/ .

  2. Вручную присоедините отладчик к вашему процессу, как описано в этот ответ переполнения стека .

12
JAL

Чтобы снова запустить Xcode 7.3.1, кроме Xcode 8.2 на macOS Sierra 10.12.2, мне пришлось очистить следующие папки:

~/Library/Developer/
~/Library/Application Support/Developer
~/Library/Application Support/Xcode

Даже очистка пользовательских данных конкретного проекта была полезна:

projectname.xcodeproj/xcuserdata
projectname.xcworkspace/xcuserdata

После перезапуска Mac и попытки открыть проект он снова рухнул, потому что в этой папке уже было содержимое:

~/Library/Application Support/Developer/Shared/Xcode/Plug-ins

После удаления этих плагинов снова все заработало!

3
FBente

Вы также должны знать, что вам нужны текущие публичные выпуски macOS (El Capitan) и Xcode (7.3) для создания и отправки архивов в iTunes App Store. Архивы, созданные с бета-версиями Xcode (8b1) или с текущим Xcode 7.3 на бета-версии macOS (Sierra 10.12b1), не будут приняты (процесс отправки не пройден). Рекомендуется сделать резервную копию вашей системы перед установкой бета-версии macOS и/или установить бета-версию ОС на новый раздел. Вы также можете установить текущую ОС и XCode в небольшой раздел (10-20 ГБ или около того), если вам нужно будет отправить заявку в течение следующих 3 месяцев, и удалить ее, когда публичные выпуски станут доступны. Требуется небольшая настройка, чтобы настроить сертификаты подписи и т.д.

0
Adrian Mannella

Я установил OS X Sierra и работал с XCode 7.2. Я обнаружил некоторые проблемы с выравниванием при запуске XCode в Sierra. Я сообщил в центр сообщений об ошибках. Я получил ответ от команды Apple, что версии XCode 7.x не поддерживаются в OS X Sierra, и все ошибки были закрыты. Они рекомендуют XCode 8 в OSX 10.12. 

0
iGo

Xcode 7.3.1 и Sierra - это неподдерживаемая конфигурация. Хотя большая часть этого будет работать, такие вещи, как запуск проекта на симуляторе, не будут.

0
rantunes